//package com.inspect.ivs.view;

//import lombok.AllArgsConstructor;
//import lombok.Builder;
//import lombok.Data;
//import lombok.NoArgsConstructor;
//
//import java.io.Serializable;
//
//@Data
//@Builder
//@NoArgsConstructor
//@AllArgsConstructor
//public class IvsVideoRtspView implements Serializable {
//   private String url;
//   private String rtspURL;
//   private String flvURL;
//   private String webrtcURL;
//   private String downloadURL;
//   private String hlsURL;
//   private String mp4URL;
//}

package com.inspect.ivs.view;
import java.io.Serializable;

public class IvsVideoRtspView implements Serializable {
   private String url;
   private String rtspURL;
   private String flvURL;
   private String webrtcURL;
   private String downloadURL;
   private String hlsURL;
   private String mp4URL;

   public String getUrl() {
      return this.url;
   }

   public String getRtspURL() {
      return this.rtspURL;
   }

   public String getFlvURL() {
      return this.flvURL;
   }

   public String getWebrtcURL() {
      return this.webrtcURL;
   }

   public String getDownloadURL() {
      return this.downloadURL;
   }

   public String getHlsURL() {
      return this.hlsURL;
   }

   public String getMp4URL() {
      return this.mp4URL;
   }

   public void setUrl(String url) {
      this.url = url;
   }

   public void setRtspURL(String rtspURL) {
      this.rtspURL = rtspURL;
   }

   public void setFlvURL(String flvURL) {
      this.flvURL = flvURL;
   }

   public void setWebrtcURL(String webrtcURL) {
      this.webrtcURL = webrtcURL;
   }

   public void setDownloadURL(String downloadURL) {
      this.downloadURL = downloadURL;
   }

   public void setHlsURL(String hlsURL) {
      this.hlsURL = hlsURL;
   }

   public void setMp4URL(String mp4URL) {
      this.mp4URL = mp4URL;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsVideoRtspView)) {
         return false;
      } else {
         IvsVideoRtspView other = (IvsVideoRtspView)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            label95: {
               Object this$url = this.getUrl();
               Object other$url = other.getUrl();
               if(this$url == null) {
                  if(other$url == null) {
                     break label95;
                  }
               } else if(this$url.equals(other$url)) {
                  break label95;
               }

               return false;
            }

            Object this$rtspURL = this.getRtspURL();
            Object other$rtspURL = other.getRtspURL();
            if(this$rtspURL == null) {
               if(other$rtspURL != null) {
                  return false;
               }
            } else if(!this$rtspURL.equals(other$rtspURL)) {
               return false;
            }

            Object this$flvURL = this.getFlvURL();
            Object other$flvURL = other.getFlvURL();
            if(this$flvURL == null) {
               if(other$flvURL != null) {
                  return false;
               }
            } else if(!this$flvURL.equals(other$flvURL)) {
               return false;
            }

            label74: {
               Object this$webrtcURL = this.getWebrtcURL();
               Object other$webrtcURL = other.getWebrtcURL();
               if(this$webrtcURL == null) {
                  if(other$webrtcURL == null) {
                     break label74;
                  }
               } else if(this$webrtcURL.equals(other$webrtcURL)) {
                  break label74;
               }

               return false;
            }

            label67: {
               Object this$downloadURL = this.getDownloadURL();
               Object other$downloadURL = other.getDownloadURL();
               if(this$downloadURL == null) {
                  if(other$downloadURL == null) {
                     break label67;
                  }
               } else if(this$downloadURL.equals(other$downloadURL)) {
                  break label67;
               }

               return false;
            }

            Object this$hlsURL = this.getHlsURL();
            Object other$hlsURL = other.getHlsURL();
            if(this$hlsURL == null) {
               if(other$hlsURL != null) {
                  return false;
               }
            } else if(!this$hlsURL.equals(other$hlsURL)) {
               return false;
            }

            Object this$mp4URL = this.getMp4URL();
            Object other$mp4URL = other.getMp4URL();
            if(this$mp4URL == null) {
               if(other$mp4URL != null) {
                  return false;
               }
            } else if(!this$mp4URL.equals(other$mp4URL)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsVideoRtspView;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $url = this.getUrl();
      result = result * 59 + ($url == null?43:$url.hashCode());
      Object $rtspURL = this.getRtspURL();
      result = result * 59 + ($rtspURL == null?43:$rtspURL.hashCode());
      Object $flvURL = this.getFlvURL();
      result = result * 59 + ($flvURL == null?43:$flvURL.hashCode());
      Object $webrtcURL = this.getWebrtcURL();
      result = result * 59 + ($webrtcURL == null?43:$webrtcURL.hashCode());
      Object $downloadURL = this.getDownloadURL();
      result = result * 59 + ($downloadURL == null?43:$downloadURL.hashCode());
      Object $hlsURL = this.getHlsURL();
      result = result * 59 + ($hlsURL == null?43:$hlsURL.hashCode());
      Object $mp4URL = this.getMp4URL();
      result = result * 59 + ($mp4URL == null?43:$mp4URL.hashCode());
      return result;
   }

   public String toString() {
      return "IvsVideoRtspView(url=" + this.getUrl() + ", rtspURL=" + this.getRtspURL() + ", flvURL=" + this.getFlvURL() + ", webrtcURL=" + this.getWebrtcURL() + ", downloadURL=" + this.getDownloadURL() + ", hlsURL=" + this.getHlsURL() + ", mp4URL=" + this.getMp4URL() + ")";
   }
}

